(* cw: a Morse code program
   Copyright (C) 2005  Eric C. Cooper <ecc@cmu.edu>
   Released under the GNU General Public License *)

val init : unit -> unit

type t

val null : t

(* frequency in Hertz, duration in milliseconds *)

val tone : hz:int -> ms:int -> t

val silence : int -> t

val sync : unit -> unit

val play : t -> unit
