(* cw: a Morse code program
   Copyright (C) 2005  Eric C. Cooper <ecc@cmu.edu>
   Released under the GNU General Public License *)

type state

val init :
    frequency:int ->
    fast_wpm:int ->
    slow_wpm:int ->
    send:(Audio.t -> unit) ->
    display:(char -> unit) -> state

val send : state -> string -> unit

(* Test whether a character can be sent in Morse *)

val valid_char : char -> bool
